| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC2364A.ino File Reference
Transceivers » LTC2873: Two-Wire RS485/RS232 Transceiver with Switchable Termination.

Library for LTC2873: Two-Wire RS485/RS232 Transceiver with Switchable Termination. More...

## Detailed Description

Library for LTC2873: Two-Wire RS485/RS232 Transceiver with Switchable Termination.

Definition in file DC2364A.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title (void)
| Prints the title block when program first starts. More...
static void | print_status (void)
| Prints the status of each pin based on user selection. More...
String | status (void)
| Returns a descriptive string based on status of pins. More...
String | find_status (void)
| Returns a descriptive string based on status of pins. More...
static void | flipPin (uint8_t pin)
| Function to toggle the state of a pin. More...
static void | update (uint8_t user_command)
| Update the state of pins based on user selection. More...

## Macros
Assigned Pin Numbers
#define | RO 10
#define | DI 11
#define | DE485_F232 3
#define | RE485b 4
#define | MODE485 5
#define | TE485b 6
#define | LB 7
#define | SHDNb 2

## Variables
static int | byteReceived
static int | byteSend
static int | di_toggle = 0
static int | SDNb_val
static int | MODE485_val
static int | REb_val
static int | DE485_F232_val
static int | TEb_val
static int | LB_val
static int | DI_val

## Function Documentation

## ◆ find_status()

String find_status | ( | void |  | ) |

Returns a descriptive string based on status of pins.

Definition at line 256 of file DC2364A.ino.

## ◆ flipPin()

static void flipPin | ( | uint8_t | pin | ) |
| static

Function to toggle the state of a pin.

Definition at line 294 of file DC2364A.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 126 of file DC2364A.ino.

## ◆ print_status()

static void print_status | ( | void |  | ) |
| static

Prints the status of each pin based on user selection.

Definition at line 176 of file DC2364A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 150 of file DC2364A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 94 of file DC2364A.ino.

## ◆ status()

String status | ( | void |  | ) |

Returns a descriptive string based on status of pins.

Definition at line 217 of file DC2364A.ino.

## ◆ update()

static void update | ( | uint8_t | user_command | ) |
| static

Update the state of pins based on user selection.

Definition at line 304 of file DC2364A.ino.

## Macro Definition Documentation

## ◆ DE485_F232

#define DE485_F232 3

Definition at line 79 of file DC2364A.ino.

## ◆ DI

#define DI 11

Definition at line 78 of file DC2364A.ino.

## ◆ LB

#define LB 7

Definition at line 83 of file DC2364A.ino.

## ◆ MODE485

#define MODE485 5

Definition at line 81 of file DC2364A.ino.

## ◆ RE485b

#define RE485b 4

Definition at line 80 of file DC2364A.ino.

## ◆ RO

#define RO 10

Definition at line 77 of file DC2364A.ino.

## ◆ SHDNb

#define SHDNb 2

Definition at line 84 of file DC2364A.ino.

## ◆ TE485b

#define TE485b 6

Definition at line 82 of file DC2364A.ino.

## Variable Documentation

## ◆ byteReceived

int byteReceived
| static

Definition at line 88 of file DC2364A.ino.

## ◆ byteSend

int byteSend
| static

Definition at line 89 of file DC2364A.ino.

## ◆ DE485_F232_val

int DE485_F232_val
| static

Definition at line 91 of file DC2364A.ino.

## ◆ di_toggle

int di_toggle = 0
| static

Definition at line 90 of file DC2364A.ino.

## ◆ DI_val

int DI_val
| static

Definition at line 91 of file DC2364A.ino.

## ◆ LB_val

int LB_val
| static

Definition at line 91 of file DC2364A.ino.

## ◆ MODE485_val

int MODE485_val
| static

Definition at line 91 of file DC2364A.ino.

## ◆ REb_val

int REb_val
| static

Definition at line 91 of file DC2364A.ino.

## ◆ SDNb_val

int SDNb_val
| static

Definition at line 91 of file DC2364A.ino.

## ◆ TEb_val

int TEb_val
| static

Definition at line 91 of file DC2364A.ino.